
//
// StandardShader_NoVertColours - Textured, vertex colouring removed for performance
//

[VertexShader]

attribute highp   vec3 	inPos;
attribute mediump vec2 	inUV;	 
varying   lowp    vec2 	outUV;	 
uniform   highp   mat4 	matViewProj;

void main()
{
   gl_Position = vec4(inPos,1) * matViewProj;
   outUV = inUV;
}

[FragmentShader]

uniform lowp sampler2D texture0;
varying lowp vec2     outUV;

void main()
{
  gl_FragColor =  texture2D(texture0, outUV.xy); 
}
