
//
// UntexturedShader - Vertex colours only
//

[VertexShader]

attribute highp   vec3 	inPos;
attribute lowp    vec4 	inCol;	 
varying   lowp    vec4 	outCol;
uniform   highp   mat4 	matViewProj;

void main()
{
   gl_Position = vec4(inPos,1) * matViewProj;
   outCol = inCol;   
}

[FragmentShader]

varying lowp    vec4 	outCol;

void main()
{
  gl_FragColor = outCol;
}
